
Redmine - Feature #4951

"Accept Ticket" Link When Viewing Issue

2010-02-28 17:31 - Rafael Diaz-Tushman

Status: Reopened Start date: 2010-02-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

It would be great if there was a one-click process called "Accept Ticket" that:

Assigned the Issue to the person clicking the link

Changed the Status of the Issue to "In Progress"

Fired a plugin event

I can think of several plugins that would want to be fired upon this event...

I may build a plugin that adds this link using one of the view_issues hooks, but i'm just learning ROR so it'd be faster if you did it :-)

Cheers!

History

#1 - 2010-03-01 19:12 - Eric Davis

- Status changed from New to Closed

- Resolution set to Wont fix

"Accepting" a ticket would be different for each organization so I don't think it would be good in the core.  It could even be different for each project; for

example on my Open Source projects I "accept" a ticket by assigning it to me, adding a target version, and changing the status.  But on my client

projects, I "accept" a ticket by assigning it to me only.

A plugin can use the existing hooks to add a button and call their own action.  If there end up being several different plugins providing the "accept a

ticket" workflow, then we can review putting a general feature into Redmine.

It's a good idea, just no way to make it work easily for all Redmine users.

#2 - 2010-03-01 19:30 - Rafael Diaz-Tushman

Ah, good point.  But isn't the common denominator that the ticket gets assigned to you?

I think the main problem is that right now, if you want to claim a ticket (an extremely common task in issue management), you have to go through a

4-click process after the point of viewing an open issue:

1. Click Update

2. Click the "Assigned to" Select List

3. Click your own name in the "Assigned to" select list (after finding it, which can be a pain on large projects)

4. Click Save

when other apps, including Unfuddle, make this common task as simple as possible.

--

Just a thought:

In the global settings, under the repositories tab, Redmine currently has the ability to set some basic rules for "Referencing and fixing issues in

commit messages".

Could we create a basic rules section for "Accepting" a ticket that operated similarly, except put it within each project's Settings?

This gives you the ability to create project-specific rules for what happens when you accept a ticket.

#3 - 2012-06-13 19:31 - K. Scott Tripp

- Status changed from Closed to Reopened
I agree with Rafael.  It doesn't make sense that a ticket can be accepted for someone by somebody else... when you accept a ticket the ownership

should change to you.  This is one thing that Trac got right.

Could we create a basic rules section for "Accepting" a ticket that operated similarly, except put it within each project's Settings?

 I think that is a very valid solution to the problem posed by Eric, in that every organization has a different workflow.

#4 - 2015-05-24 15:01 - Stefan Zugal

We were facing pretty much the same problem (migrating from TRAC and missing the accept button), so we created a plugin that does the accepting

in one click (change status, change user, submit changes). It is neither much code nor very fancy, but perhaps you find it useful: 

https://www.redmine.org/plugins/accept
